Loading...
Searching...
No Matches
INCVMemAllocator Class Referenceabstract

INCVMemAllocator (Interface) More...

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for INCVMemAllocator:

## Public Member Functions

virtual | ~INCVMemAllocator ()=default
virtual NCVStatus | alloc (NCVMemSegment &seg, std::size_t size)=0
virtual NCVStatus | dealloc (NCVMemSegment &seg)=0
virtual NcvBool | isInitialized () const =0
virtual NcvBool | isCounting () const =0
virtual NCVMemoryType | memType () const =0
virtual Ncv32u | alignment () const =0
virtual std::size_t | maxSize () const =0

## Detailed Description

INCVMemAllocator (Interface)

Definition at line 402 of file NCV.hpp.

## Constructor & Destructor Documentation

## ~INCVMemAllocator()

virtual INCVMemAllocator::~INCVMemAllocator | ( |  | ) |

virtual default

## Member Function Documentation

## alignment()

virtual Ncv32u INCVMemAllocator::alignment | ( |  | ) | const

pure virtual

Implemented in NCVMemStackAllocator, and NCVMemNativeAllocator.

Referenced by NCVVectorAlloc< T >::getAllocatorsAlignment(), NCVMatrixAlloc< T >::getAllocatorsAlignment(), and NCVMatrixAlloc< T >::NCVMatrixAlloc().

## alloc()

virtual NCVStatus INCVMemAllocator::alloc | ( | NCVMemSegment & | seg,
|  | std::size_t | size
| ) |  |

pure virtual

Implemented in NCVMemStackAllocator, and NCVMemNativeAllocator.

Referenced by NCVMatrixAlloc< T >::NCVMatrixAlloc(), and NCVVectorAlloc< T >::NCVVectorAlloc().

## dealloc()

virtual NCVStatus INCVMemAllocator::dealloc | ( | NCVMemSegment & | seg | ) |

pure virtual

Implemented in NCVMemStackAllocator, and NCVMemNativeAllocator.

Referenced by NCVMatrixAlloc< T >::~NCVMatrixAlloc(), and NCVVectorAlloc< T >::~NCVVectorAlloc().

## isCounting()

virtual NcvBool INCVMemAllocator::isCounting | ( |  | ) | const

pure virtual

Implemented in NCVMemStackAllocator, and NCVMemNativeAllocator.

Referenced by NCVVectorAlloc< T >::isMemAllocated(), and NCVMatrixAlloc< T >::isMemAllocated().

## isInitialized()

virtual NcvBool INCVMemAllocator::isInitialized | ( |  | ) | const

pure virtual

Implemented in NCVMemStackAllocator, and NCVMemNativeAllocator.

## maxSize()

virtual std::size_t INCVMemAllocator::maxSize | ( |  | ) | const

pure virtual

Implemented in NCVMemStackAllocator, and NCVMemNativeAllocator.

## memType()

virtual NCVMemoryType INCVMemAllocator::memType | ( |  | ) | const

pure virtual

Implemented in NCVMemStackAllocator, and NCVMemNativeAllocator.

The documentation for this class was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp